/*
 * This software was written by Jim Fougeron jfoug AT cox dot net
 * in 2009. No copyright is claimed, and the software is hereby
 * placed in the public domain. In case this attempt to disclaim
 * copyright and place the software in the public domain is deemed
 * null and void, then the software is Copyright  2009 Jim Fougeron
 * and it is hereby released to the general public under the following
 * terms:
 *
 * This software may be modified, redistributed, and used for any
 * purpose, in source and binary forms, with or without modification.
 *
 * Generic MD5 hashes cracker
 *
 * Preloaded types md5gen(0) to md5gen(100) are 'reserved' types.
 * They are loaded from this file. If someone tryes to build a 'custom'
 * type in their john.ini file using one of those, john will abort
 * the run.
 *
 */

#include <string.h>

#include "arch.h"
#include "misc.h"
#include "common.h"
#include "formats.h"
#include "config.h"
#include "md5.h"
#include "md5_gen.h"

void md5_gen_DISPLAY_ALL_FORMATS()
{
	int i;
	for (i = 0; i < 1000; ++i)
	{
		char *sz = md5_gen_PRELOAD_SIGNATURE(i);
		if (!sz)
			break;
		printf ("Format = md5_gen(%d)%s  type = %s\n", i, i<10?" ":"", sz);
	}

	// The config has not been loaded, so we have to load it now, if we want to 'check'
	// and show any user set md5-generic functions.
#if JOHN_SYSTEMWIDE
	cfg_init(CFG_PRIVATE_FULL_NAME, 1);
	cfg_init(CFG_PRIVATE_ALT_NAME, 1);
#endif
	cfg_init(CFG_FULL_NAME, 1);
	cfg_init(CFG_ALT_NAME, 0);

	for (i = 1001; i < 10000; ++i)
	{
		char *sz = md5_gen_LOAD_PARSER_SIGNATURE(i);
		if (sz)
			printf ("UserFormat = md5_gen(%d)  type = %s\n", i, sz);
	}
}

char *md5_gen_Demangle(char *Line)
{
	char *tmp, *cp, *cp2, digits[3];
	if (!Line || !strlen(Line))
		return str_alloc_copy("");
	tmp = str_alloc_copy(Line);
	cp = tmp;
	cp2 = Line;
	while (*cp2)
	{
		if (*cp2 != '\\')
			*cp++ = *cp2++;
		else
		{
			++cp2;
			if (*cp2 == '\\')
				*cp++ = *cp2++;
			else
			{
				unsigned val;
				if (*cp2 != 'x')
					exit(fprintf(stderr, "Error, invalid line:  %s\n", Line));
				++cp2;
				if (!cp2)
					exit(fprintf(stderr, "Error, invalid line:  %s\n", Line));
				digits[0] = *cp2++;
				if (!cp2)
					exit(fprintf(stderr, "Error, invalid line:  %s\n", Line));
				digits[1] = *cp2++;
				digits[2] = 0;
				val = (unsigned)strtol(digits, NULL, 16);
				sprintf(cp, "%c", val);
				++cp;
			}
		}
	}
	*cp = 0;
	return tmp;
}
